Summary: 	C++ wrappers for libgnome, for use with gtkmm.
Name: 		libgnomemm2
Version: 	2.0.1
Release: 	0.fdr.5.1
License: 	LGPL
Epoch:		0
Group: 		System Environment/Libraries
URL: 		http://www.gtkmm.org
Source: 	http://dl.sourceforge.net/gtkmm/libgnomemm-2.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	gtkmm2-devel >= 0:2.0
BuildRequires:	libgnome-devel >= 0:2.0


%description
libgnomemm provides C++ wrappers for libgnome, for use with gtkmm.

%package	devel
Summary: 	Headers for developing programs that will use libgnomemm
Group: 		Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	gtkmm2-devel
Requires:	libgnome-devel

%description 	devel
This package contains the static libraries and header files needed for
developing GNOME applications with gtkmm and C++.

%prep
%setup -q -n libgnomemm-%{version}

%build
%configure --enable-static --enable-shared 
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}



%post -p /sbin/ldconfig



%postun -p /sbin/ldconfig



%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/libgnomemm-2.0/
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgnomemm-2.0/
%{_libdir}/pkgconfig/*.pc



%changelog
* Wed Oct 22 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.5
- Fix requirements on -devel
- Fix -devel description

* Tue Oct 16 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.4
- Remove Prefix, the package isn't relocatable due to paths in gtkmmproc et.al.

* Mon Oct 15 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.3
- Ignore Doxygen documentation, it doesn't build correctly.
- Fix up prefix

* Sun Oct 14 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.2
- Fix BuildRequires and requires.  --enable-docs

* Sat Oct 13 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.1
- Import of Dag's package to fedora

* Sat Mar 29 2003 Dag Wieers <dag@wieers.com> - 1.3.10-0
- Initial package. (using dar)
